Page MenuHomePhabricator

TemplateData's suggested parameters to add doesn't know that `{{{!}}` isn't a parameter but a special thing for MediaWiki
Closed, ResolvedPublic1 Story Points

Description

In template I want to use table, but because of complexity I must replace {| . |-and |} with {{{!}} , {{!}}- and {{!}}}

when I work on template data, there is possibility of adding {{{!}}} too even if there is none such parameter

Details

Related Gerrit Patches:
mediawiki/extensions/TemplateData : masterIgnore bang magic word in table syntax when guessing parameters

Event Timeline

JAnD created this task.Feb 2 2017, 2:11 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 2 2017, 2:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Template data and {{{!}} to TemplateData's suggested parameters to add doesn't know that `{{{!}}}` isn't a parameter but a special thing for MediaWiki.Feb 14 2017, 8:17 PM
Jdforrester-WMF triaged this task as Lowest priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
JAnD renamed this task from TemplateData's suggested parameters to add doesn't know that `{{{!}}}` isn't a parameter but a special thing for MediaWiki to TemplateData's suggested parameters to add doesn't know that `{{{!}}` isn't a parameter but a special thing for MediaWiki.Feb 15 2017, 7:05 PM

Change 469162 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/TemplateData@master] Ignore bang magic word in table syntax when guessing parameters

https://gerrit.wikimedia.org/r/469162

stjn added subscribers: Samwilson, stjn.EditedOct 31 2018, 3:37 PM

@Samwilson: for the record, ! can be used as a legitimate parameter name (I don’t know how frequent this is) and one of the symbols in parameter name, so it’s not the best decision to do this check in a regex. Maybe it’s better to do a replacement for {{{!}} specifically, if that's possible?

Samwilson moved this task from Backlog to Doing on the TemplateData board.Nov 27 2018, 1:57 AM

Good point. I've updated the above patch to look for the three closing braces as well. Hopefully it's not turning too much into an ugly parser-in-regex. :)

Change 469162 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] Ignore bang magic word in table syntax when guessing parameters

https://gerrit.wikimedia.org/r/469162

Is there anything left to do for this task? I think it's done.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 28 2019, 3:37 PM
Samwilson closed this task as Resolved.May 31 2019, 6:58 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 31 2019, 6:58 AM